import Builder, { toProps } from "../../utils/builder";
import { ANIMATIONS } from "./animations/animate/common";
import { EASING } from "./utils/easing";
export default {
    title: 'Components/Animate',
    argTypes: {
        name: {
            options: Object.values(ANIMATIONS),
            control: {
                type: 'select',
            },
        },
        easing: {
            options: Object.values(EASING),
            control: {
                type: 'select',
            },
        },
    },
};
const Template = new Builder(args => `<x-animate ${toProps(args)}>
	<x-icon name="love-fill" size="5rem" color="danger"></x-icon>
</x-animate>`);
export const Simple = Template.args({
    name: 'heartBeat',
    iterations: 'Infinity',
    easing: 'ease-in-out',
    duration: 1200,
    delay: 500,
    autoplay: true,
}).build();
